import { defineComponent } from 'vue'
import { ElButton } from 'element-plus'
import './index.css'
import logo from './images/logo.png'
import { state } from '@/state'
import { RouterLink } from 'vue-router'

export default defineComponent({
  name: 'col-header',
  data() {
    return {
      navigator: [
        { name: '首页', href: '/home', current: false },
        { name: '谱库', href: '/musicLibrary', current: false },
        { name: '视频课', href: '#', current: false },
        { name: '云教练', href: '#', current: false },
        { name: '社区', href: '#', current: false },
        { name: '下载', href: '/downLoad', current: false }
      ],
      navPath: ['', '/musicLibrary', '', '', '/downLoad'],
      isTop: false
    }
  },
  mounted() {
    window.addEventListener('scroll', e => {
      //函数体
      let scrollTop =
        document.documentElement.scrollTop | document.body.scrollTop
      scrollTop > 0 ? (this.isTop = true) : (this.isTop = false)
    })
  },
  watch: {
    $route(res: any) {
      this.navigator.forEach((item: any) => {
        if (item.href === res.path) {
          item.current = true
        }
      })
    }
  },
  render() {
    return (
      <>
        {/* <div class="wall h-[70px]"></div> */}
        <div
          class={['headerSection backdrop-blur-sm', this.isTop ? '' : 'top']}
        >
          <div class="flex items-center h-full">
            <div class="logoWrap">
              <img class="w-full" src={logo} alt="" />
            </div>
            <div class="flex">
              {this.navigator.map((item: any) => (
                <div
                  onClick={() => {
                    this.navigator.forEach((item: any) => {
                      item.current = false
                    })
                    item.current = true
                  }}
                >
                  <RouterLink
                    to={item.href}
                    class={[
                      item.current ? 'activeItem' : 'normalItem',
                      'itemCenter'
                    ]}
                  >
                    {item.name}
                  </RouterLink>
                </div>
              ))}
            </div>
          </div>
          <div class={'rightWrap'}>
            <ElButton
              type="primary"
              round
              onClick={() => {
                state.loginPopupStatus = true
              }}
            >
              登录/注册
            </ElButton>
          </div>
        </div>
      </>
    )
  }
})
