import { defineComponent, toRefs, reactive, onMounted, ref } from 'vue'

import classes from './index.module.less'
import tagItem from '@/components/tagItem'
import hot from './images/hot.png'
import arrow from '@/components/musicLIstItem/images/arrow.png'
import search from '@/components/hotSearch/images/search.png'
import request from '@/helpers/request'
export default defineComponent({
  name: 'hotSearch',
  components: { tagItem },
  props: {
    type: {
      type: String,
      default: 'more'
    }
  },
  setup(props) {
    const state = reactive({
      hotList: [],
      type: props.type
    })
    const getHotList = async () => {
      try {
        const res = await request.get('/api-website/open/music/sheet/hotTag', {
          params: {
            status: 1
          }
        })

        state.hotList = res.data
      } catch (e) {
        console.log(e)
      }
    }
    onMounted(() => {
      getHotList()
    })
    return () => (
      <>
        <div class={classes.wrap}>
          <div class={classes.wrapLeft}>
            <img src={hot} class={classes.hotIcon} alt="" />
            <h5>热门搜索：</h5>
            <div class={classes.tagWrap}>
              {state.hotList.map((item: any) => {
                return <tagItem title={item.key}></tagItem>
              })}
            </div>
          </div>
          {state.type == 'more' ? (
            <div class={classes.wrapRight}>
              <span>更多</span>
              <img class={classes.arrow} src={arrow} alt="" />
            </div>
          ) : null}
          {state.type == 'search' ? (
            <div class={[classes.wrapRight, classes.searchWrap]}>
              <span>筛选</span>
              <img class={classes.search} src={search} alt="" />
            </div>
          ) : null}
        </div>
        <div class={classes.searchDetail}>
          <div ></div>
        </div>
      </>
    )
  }
})
