// import { PaperClipIcon } from '@heroicons/vue/solid'
import { defineComponent, toRefs, reactive, onMounted, ref } from 'vue'
import arrow from '@/components/musicLIstItem/images/arrow.png'
import styles from '../index.module.less'
import albumItem from '@/components/albumItem'
import videoDetailItem from '@/components/videoDetailItem'
import musicListItem from '@/components/musicLIstItem'
import hotSearch from '@/components/hotSearch'
import request from '@/helpers/request'
import silder from '@/components/silder'
import searchInput from '@/components/searchInput'
import pagination from '@/components/pagination'
import 'swiper/css'
import 'swiper/css/navigation'
import 'swiper/css/pagination'
import 'swiper/css/scrollbar'
import { ElTabPane, ElTabs } from 'element-plus'
export default defineComponent({
  name: 'searchMusic',
  components: {
    hotSearch,
    silder,
    searchInput,
    albumItem,
    musicListItem,
    pagination
  },
  setup() {
    const state = reactive({
      albumList: [],
      musicList: [],
      pageInfo: {
        // 分页规则
        limit:5, // 限制显示条数
        page: 1, // 当前页
        total: 0, // 总条数
        page_size: [10, 20, 40, 50] // 选择限制显示条数
      }
    })

    // const getAlbumList = async () => {
    //   try {
    //     const res = await request.post('/api-website/open/music/album/list', {
    //       data: {
    //         albumStatus: 1,
    //         page: 1,
    //         rows: 10
    //       }
    //     })

    //     state.albumList = res.data.rows
    //   } catch (e) {
    //     console.log(e)
    //   }
    // }
    const getMusicList = async () => {
      try {
        const res = await request.post('/api-website/open/music/sheet/list', {
          data: {
            albumStatus: 'PASS',
            page: state.pageInfo.page,
            rows: state.pageInfo.limit,
            state: 1
          }
        })

        state.musicList = res.data.rows
        state.pageInfo.total = res.data.total
      } catch (e) {
        console.log(e)
      }
    }

    onMounted(() => {
      // getAlbumList()
      getMusicList()
    })
    return () => (
      <div>
        <div>
          <div class={styles.w1200}>
            <div class={styles.section}>
              <div class={styles.musicList}>
                {state.musicList.map(item => {
                  return <musicListItem item={item}></musicListItem>
                })}
              </div>
            </div>
          </div>
        </div>
        <pagination
          total={state.pageInfo.total}
          v-model:page={state.pageInfo.page}
          limit={state.pageInfo.limit}
          pageSizes={state.pageInfo.page_size}
          pagination={getMusicList}
        />
      </div>
    )
  }
})
