// import { PaperClipIcon } from '@heroicons/vue/solid'
import { defineComponent, toRefs, reactive, onMounted, ref } from 'vue'
import arrow from '@/components/musicLIstItem/images/arrow.png'
import styles from './index.module.less'
import hotSearch from '@/components/hotSearch'
import request from '@/helpers/request'
import silder from '@/components/silder'
import searchInput from '@/components/searchInput'
import searchAlbum from './modals/searchAlbum'
import searchMusic from './modals/searchMusic'
import 'swiper/css'
import 'swiper/css/navigation'
import 'swiper/css/pagination'
import 'swiper/css/scrollbar'
import { ElTabPane, ElTabs } from 'element-plus'
export default defineComponent({
  name: 'searchdetail',
  components: {
    hotSearch,
    silder,
    searchInput,
    searchAlbum,
    searchMusic
  },
  setup() {
    const state = reactive({
      albumList: [],
      musicList: [],
      chiose: 'album'
    })

    const getAlbumList = async () => {
      try {
        const res = await request.post('/api-website/open/music/album/list', {
          data: {
            albumStatus: 1,
            page: 1,
            rows: 10
          }
        })

        state.albumList = res.data.rows
      } catch (e) {
        console.log(e)
      }
    }
    const getMusicList = async () => {
      try {
        const res = await request.post('/api-website/open/music/sheet/list', {
          data: {
            albumStatus: 'PASS',
            page: 1,
            rows: 5,
            state: 1
          }
        })

        state.musicList = res.data.rows
      } catch (e) {
        console.log(e)
      }
    }

    onMounted(() => {
      getAlbumList()
      getMusicList()
    })
    return () => (
      <div>
        <div class="">
          <div class="wall" style={{ height: '70px' }}></div>
          <div class={styles.w1200}>
            <div class={styles.section}>
              <searchInput isWhile={true}></searchInput>
              <hotSearch type={'search'}></hotSearch>
              <ElTabs class={styles.myTab} v-model={state.chiose}>
                <ElTabPane label="专辑" name="album">
                  {state.chiose == 'album' ? <searchAlbum /> : null}
                </ElTabPane>
                <ElTabPane label="乐谱" name="music">
                  {state.chiose == 'music' ? <searchMusic /> : null}
                </ElTabPane>
              </ElTabs>
            </div>
          </div>
        </div>
      </div>
    )
  }
})
