import { defineComponent, toRefs, reactive, onMounted, ref } from 'vue'

// import classes from './index.module.less'
import detaile from '@/components/videoDetailItem/images/detaile.png'
import courseIcon from './images/courseIcon.png'
import peopleIcon from './images/peopleIcon.png'
import teacherIcon from './images/teacherIcon.png'
import TimetableIcon from './images/TimetableIcon.png'
import styles from './index.module.less'
import videoDetailItem from '@/components/videoDetailItem'
import request from '@/helpers/request'
import pagination from '@/components/pagination'
export default defineComponent({
  name: 'videoDetailList',
  props: {
    title: {
      type: String,
      default: ''
    }
  },
  components: {
    videoDetailItem,
    pagination
  },
  setup(props, conent) {
    const state = reactive({
      title: props.title,
      videoList: [],
      pageInfo: {
        // 分页规则
        limit: 9, // 限制显示条数
        page: 1, // 当前页
        total: 0, // 总条数
        page_size: [9, 20, 40, 50] // 选择限制显示条数
      }
    })

    const getVideoList = async () => {
      try {
        const res = await request.post(
          '/api-website/open/videoLessonGroup/page',
          {
            data: {
              albumStatus: 'PASS',
              page: state.pageInfo.page,
              rows: state.pageInfo.limit
            }
          }
        )
        state.videoList = res.data.rows
        state.pageInfo.total = res.data.total;
      } catch (e) {
        console.log(e)
      }
    }
    onMounted(() => {
      getVideoList()
    })
    return () => (
      <>
        <div>
          <div class="wall" style={{ height: '70px' }}></div>
          <div class={[styles.w1200,styles.detailWrap]}>
          <div class={styles.detailLeft}>
            <img src={detaile} class={styles.detailTopImg} alt="" />
            <div class={styles.courseWrap}>
            <div class={styles.courseTitle}>
              <img src={courseIcon} alt="" />
              <span>课程介绍</span>
            </div>
            <div  class={styles.courseInfo} >
              <p>小酷老师带您零基础学习竖笛，通过8节课的学习掌握竖笛演奏的基本方式，培养良好的吐息习惯。</p>
            </div>
            </div>
          <pagination
              total={state.pageInfo.total}
              v-model:page={state.pageInfo.page}
              limit={state.pageInfo.limit}
              pageSizes={state.pageInfo.page_size}
              pagination={getVideoList}
            />
          </div>
          <div class={styles.detailRight}></div>


          </div>
        </div>
      </>
    )
  }
})
